import {validationResult} from "express-validator"
import {IResultJson} from "./types"
import express from "express"
import Database from "better-sqlite3"
import path from "path"

let db = Database(path.join(__dirname, '../slader.db'), {verbose: message => console.log('SQLITE3: ' + message)})

export {db}
export const resultJson = {
    success(data: any) {
        return <IResultJson>{
            status: true,
            data: data
        }
    },
    error(data: any) {
        return <IResultJson>{
            status: false,
            data: data
        }
    }
}

export function hasValidationErrors(req: express.Request, res: express.Response) {
    let errors = validationResult(req)
    if (!errors.isEmpty()) {
        res.json(resultJson.error(errors.array()))
        return true
    }
    return false
}

export function getTimestampInSeconds() {
    return Math.floor(Date.now() / 1000)
}
