import 'reflect-metadata'
import {Inject, Service} from "typedi"
import {TextbookModel} from "../models/textbook-model"
import {resultJson} from "../includes"

@Service()
export class TextbookService {
    @Inject()
    textbookModel!: TextbookModel

    async getTextbook(textbook: string) {
        return resultJson.success(this.textbookModel.findTocByTextbook(textbook))
    }

    async getSection(textbook: string, section: string) {
        return resultJson.success(this.textbookModel.findExercisesByTextbookSection(textbook, section))
    }

    async getExercise(textbook: string, section: string, exercise: string) {
        return resultJson.success(this.textbookModel.findExercise(textbook, section, exercise))
    }

    async getPage(textbook: string, page: number) {
        return resultJson.success(this.textbookModel.findExercisesByTextbookPage(textbook, page))
    }

    async listTextbooks() {
        return resultJson.success(this.textbookModel.getTextbooks())
    }
}
